Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mindswap.pellet.utils
Class GenericIntervalList.Interval

    java.lang.Object
      org.mindswap.pellet.utils.GenericIntervalList.Interval

All Implemented Interfaces:
  java.lang.Comparable

Enclosing class:
  GenericIntervalList

    public class GenericIntervalList.Interval

extends java.lang.Object
implements java.lang.Comparable

An Interval is an immutable representation of a single contigous range of numbers from start to end.

Constructor Summary
`GenericIntervalList.Interval(java.lang.Object start, boolean incStart, java.lang.Object end, boolean incEnd)`

Method Summary
`int` | `compareTo(java.lang.Object o)`
`boolean` | `contains(java.lang.Object value)`
`int` | `count()`
`java.lang.Object` | `end()`
`boolean` | `equals(java.lang.Object o)`
`int` | `hashCode()`
`boolean` | `incEnd()`
`boolean` | `incStart()`
`java.lang.Object` | `start()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GenericIntervalList.Interval

    public GenericIntervalList.Interval(java.lang.Object start,
                                        boolean incStart,
                                        java.lang.Object end,
                                        boolean incEnd)

Method Detail

### start

    public java.lang.Object start()

### incStart

    public boolean incStart()

### end

    public java.lang.Object end()

### incEnd

    public boolean incEnd()

### count

    public int count()

### compareTo

    public int compareTo(java.lang.Object o)

  Specified by:
    `compareTo` in interface `java.lang.Comparable`

### equals

    public boolean equals(java.lang.Object o)

  Overrides:
    `equals` in class `java.lang.Object`

### contains

    public boolean contains(java.lang.Object value)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Evren Sirin. All Rights Reserved.